Subject: Re: bug#29789: 25.1; Emacs blocks user input when using visual-fill-column in wide terminals

From: Luis Gerhorst <[email-masked]>
Date: Wed, 20 Dec 2017 21:45:36 +0100

I'm usually using iTerm 3.1.5 and just tried again with the native
Terminal.app from macOS 10.13.2 (same issue). It also occured on a
Debian system I was running Emacs on over SSH.

I was not able to test with a non-macOS terminal emulator. I can do that
tomorrow however.

With 'hang' I meant that Emacs does not respond to user input at
all. The whole screen is frozen.

Eli Zaretskii writes:

>> From: Luis Gerhorst <[email-masked]>
>> Date: Wed, 20 Dec 2017 20:28:27 +0100
>>
>>
>> 1. Run Emacs in a wide terminal (about 150 characters, 100 isn't
>> enough): emacs -nw -Q
>>
>> 2. Load a arbitrary theme: M-x load-theme adwaita
>>
>> 3. Load visual-fill-column. E.g. by copying
>> https://raw.githubusercontent.com/joostkremers/visual-fill-column/c0e5ec8f88a7598f7afdee565978410bee0de2a0/visual-fill-column.el
>> into the scratch buffer and typing M-x eval-buffer.
>>
>> There is nothing suspicious about the code, regular lisp code should not
>> be able to block Emacs (I believe). It does not seem to contain any loops that block the main thread. The maintainer knows about the issue but say's it may be an issue with low-level code. In GUI Emacs it works.
>>
>> 4. Open a buffer and enable visual-fill-column-mode: M-x
>> visual-fill-column-mode
>>
>> 5. Your Emacs is now blocked.
>
> I tried to reproduce this on GNU/Linux and on MS-Windows, but failed
> both times, both with Emacs 25.1 and the current emacs-26 release
> branch.
>
> What I see is that after enabling the mode, Emacs becomes somewhat
> sluggish in cursor motion (hardly surprising, given what the mode
> does), but it certainly doesn't hang.
>
> I wonder what's different on your system, or on that of those who
> confirmed the problem.